/* Froms foundation overwrites */

$checkboxes-minimum-width: 200px;

.input-group-button button{
  height: 2.5rem;
  padding: .5rem 1rem;
}

.help-text{
  line-height: 1.2;
}

label > [type='checkbox'],
label > [type='radio']{
  margin-bottom: 0; //fixes some problems with line-height in double-line labels
}

/* Switch additional styles */

.switch-with-label{
  > label{
    display: flex;
    align-items: center;
    line-height: 1.2;
  }

  .switch-paddle{
    display: inline-block;
    margin-right: 1rem;
    flex-shrink: 0;
  }
}

.checkboxes{
  margin-bottom: 1rem;
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;

  &::after{ /* Align last row to left */
    min-width: $checkboxes-minimum-width;
    content: "";
  }

  label{
    min-width: $checkboxes-minimum-width;

    input[type=checkbox]{
      vertical-align: middle;
    }
  }
}

.flex-input-group{
  display: flex;
  align-items: flex-end;

  .input-wrapper{
    flex-grow: 1;
  }

  .button-wrapper{
    margin-left: .25rem;

    .button{
      padding: .5rem;
    }

    .icon{
      height: 1.2rem;
      width: 1.5rem;
    }
  }
}
